LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDatabaseRegistrationsListener Interface Referencepublished

implemented by components which want to be notified of changes in the application-wide registered databases. More...

`import"XDatabaseRegistrationsListener.idl";`

Inheritance diagram for XDatabaseRegistrationsListener:

## Public Member Functions
void | registeredDatabaseLocation ([in] DatabaseRegistrationEvent Event)
| called when a database has been registered More...
void | revokedDatabaseLocation ([in] DatabaseRegistrationEvent Event)
| called when a database registration has been revoked More...
void | changedDatabaseLocation ([in] DatabaseRegistrationEvent Event)
| called when a the location of a registered database changed More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

implemented by components which want to be notified of changes in the application-wide registered databases.

See Also
  XDatabaseRegistrations

Since
  OOo 3.3

## Member Function Documentation

void changedDatabaseLocation | ( | [in] DatabaseRegistrationEvent | Event | ) |

called when a the location of a registered database changed

Note that this talks about registration data only. That is, if the actual file denoted by the database registration is moved, this is in no way monitored or reported. Only (successful) calls to XDatabaseRegistrations::changeDatabaseLocation() are reported here.

void registeredDatabaseLocation | ( | [in] DatabaseRegistrationEvent | Event | ) |

called when a database has been registered

void revokedDatabaseLocation | ( | [in] DatabaseRegistrationEvent | Event | ) |

called when a database registration has been revoked

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDatabaseRegistrationsListener.idl